Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225305 - Merge Review: avalon-framework
Summary: Merge Review: avalon-framework
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wringe
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-29 21:09 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-24 02:27:08 UTC
mwringe: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-29 21:09:39 UTC
Fedora Merge Review: avalon-framework

http://cvs.fedora.redhat.com/viewcvs/devel/avalon-framework/

Comment 2 Matt Wringe 2007-03-16 14:44:08 UTC
MUST:
* package is named appropriately
 - match upstream tarball or project name
 - try to match previous incarnations in other distributions/packagers for
consistency
 - specfile should be %{name}.spec
 - non-numeric characters should only be used in Release (ie. cvs or
   something)
 - for non-numerics (pre-release, CVS snapshots, etc.), see
   http://fedoraproject.org/wiki/Packaging/NamingGuidelines#PackageRelease
 - if case sensitivity is requested by upstream or you feel it should be
   not just lowercase, do so; otherwise, use all lower case for the name
OK

* is it legal for Fedora to distribute this?
 - OSI-approved
 - not a kernel module
 - not shareware
 - is it covered by patents?
 - it *probably* shouldn't be an emulator
 - no binary firmware
OK

* license field matches the actual license.
OK

* license is open source-compatible.
OK

* specfile name matches %{name}
OK

* verify source and patches (md5sum matches upstream, know what the patches do)
 - if upstream doesn't release source drops, put *clear* instructions on
   how to generate the the source drop; ie. 
  # svn export blah/tag blah
  # tar cjf blah-version-src.tar.bz2 blah
OK, md5sums match

* skim the summary and description for typos, etc.
OK, Looks good to me

* correct buildroot
 - should be:
   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
OK

* if %{?dist} is used, it should be in that form (note the ? and %
locations)
OK, must be present since a jpp package

* license text included in package and marked with %doc
OK, LICENSE.txt and README.txt present, not entirely sure why KEYS (gpg keys)
are present

* keep old changelog entries; use judgement when removing (too old?
useless?)
OK

* packages meets FHS (http://www.pathname.com/fhs/)
OK, installs jars, javadocs and files into proper locations

* rpmlint on <this package>.srpm gives no output
 - justify warnings if you think they shouldn't be there

rpmlint avalon-framework-4.1.4-2jpp.14.fc7.src.rpm
W: avalon-framework non-standard-group Development/Libraries/Application Frameworks

This group warning can be ignored

* changelog should be in proper format
OK

* Packager tag should not be used
OK
* Vendor tag should not be used
OK
* Distribution tag should not be used
OK
* use License and not Copyright 
OK
* Summary tag should not end in a period
OK
* if possible, replace PreReq with Requires(pre) and/or Requires(post)
OK
* specfile is legible
 - this is largely subjective; use your judgement
OK, looks good to me
* package successfully compiles and builds on at least x86
OK
* BuildRequires are proper
 - builds in mock will flush out problems here
 - the following packages don't need to be listed in BuildRequires:
   bash
   bzip2
   coreutils
   cpio
   diffutils
   fedora-release (and/or redhat-release)
   gcc
   gcc-c++
   gzip
   make
   patch
   perl
   redhat-rpm-config
   rpm-build
   sed
X sed is listed as a BR
   tar
   unzip
   which
* summary should be a short and concise description of the package
Looks good to me

* description expands upon summary (don't include installation
instructions)
Looks good to me

* make sure description lines are <= 80 characters
OK

* specfile written in American English
OK
* make a -doc sub-package if necessary
 - see
  
http://fedoraproject.org/wiki/Packaging/Guidelines#head-9bbfa57478f0460c6160947a6bf795249488182b
OK, contains a javadoc and manual sub-projects

* packages including libraries should exclude static libraries if possible
OK
* don't use rpath
OK
* config files should usually be marked with %config(noreplace)
I don't believe it contains any conf files
* GUI apps should contain .desktop files
OK, Not a gui app
* should the package contain a -devel sub-package?
OK, I don't believe it should
* use macros appropriately and consistently
 - ie. %{buildroot} and %{optflags} vs. $RPM_BUILD_ROOT and $RPM_OPT_FLAGS
OK
* don't use %makeinstall
OK
* locale data handling correct (find_lang)
 - if translations included, add BR: gettext and use %find_lang %{name} at the
   end of %install
* consider using cp -p to preserve timestamps
OK
* split Requires(pre,post) into two separate lines
* package should probably not be relocatable
* package contains code
 - see http://fedoraproject.org/wiki/Packaging/Guidelines#CodeVsContent
 - in general, there should be no offensive content
OK
* package should own all directories and files
OK
* there should be no %files duplicates
OK
* file permissions should be okay; %defattrs should be present
OK
* %clean should be present
OK
* %doc files should not affect runtime
OK
* if it is a web apps, it should be in /usr/share/%{name} and *not* /var/www
* verify the final provides and requires of the binary RPMs
* run rpmlint on the binary RPMs

rpmlint avalon-framework-4.1.4-2jpp.14.i386.rpm
W: avalon-framework non-standard-group Development/Libraries/Application Frameworks
W: avalon-framework incoherent-version-in-changelog 0:4.1.4-2jpp.14.fc7
0:4.1.4-2jpp.14
X the change log probably shouldn't hardcode the dist (I don't think including
the dist in the change log is even needed)

rpmlint avalon-framework-manual-4.1.4-2jpp.14.i386.rpm
W: avalon-framework-manual non-standard-group Development/Libraries/Application
Frameworks
OK (can ignore group warnings)

rpmlint avalon-framework-javadoc-4.1.4-2jpp.14.i386.rpm
W: avalon-framework-javadoc non-standard-group Development/Documentation
W: avalon-framework-javadoc dangerous-command-in-%post rm
W: avalon-framework-javadoc dangerous-command-in-%postun rm
X please remove rm from the javadoc post and postun

SHOULD:
* package should include license text in the package and mark it with %doc
OK
* package should build on i386
OK
* package should build in mock
OK

Comment 3 Permaine Cheung 2007-03-16 16:03:33 UTC
(In reply to comment #2)
...
>    sed
> X sed is listed as a BR

Got rid of it

> * run rpmlint on the binary RPMs
> 
> rpmlint avalon-framework-4.1.4-2jpp.14.i386.rpm
> W: avalon-framework non-standard-group Development/Libraries/Application
Frameworks
> W: avalon-framework incoherent-version-in-changelog 0:4.1.4-2jpp.14.fc7
> 0:4.1.4-2jpp.14
> X the change log probably shouldn't hardcode the dist (I don't think including
> the dist in the change log is even needed)
Done

> rpmlint avalon-framework-javadoc-4.1.4-2jpp.14.i386.rpm
> W: avalon-framework-javadoc non-standard-group Development/Documentation
> W: avalon-framework-javadoc dangerous-command-in-%post rm
> W: avalon-framework-javadoc dangerous-command-in-%postun rm
> X please remove rm from the javadoc post and postun
Done

Changes had been committed into cvs.

Comment 4 Matt Wringe 2007-03-16 19:57:24 UTC
Approved

Comment 5 Permaine Cheung 2007-04-17 13:36:04 UTC
Package built into brew.


Note You need to log in before you can comment on or make changes to this bug.